<?php

class HitcountExporter {

  public static function csvString($s) {
    return '"'.str_replace('"',"'",$s).'"';
  }

  public static function exportCSV(&$dates, &$hits, &$visits) {
    header("Content-Type: text/csv");
    echo ',Category,Value';
    for ($i=0; $i<count($dates); $i++) echo ','.strftime('%Y-%m-%d',$dates[$i]);
    echo "\r\n";
    foreach ($hits as $name => &$values) {
      foreach ($values as $value => &$numbers) {
        echo 'Hits,'.self::csvString(i18n_r('hitcount/'.strtoupper($name)));
        echo ','.self::csvString(substr($value,0,1)=='_' ? i18n_r('hitcount/V'.strtoupper($value)) : $value);
        for ($i=0; $i<count($dates); $i++) echo ','.$numbers[$i];
        echo "\r\n";
      }
    }
    foreach ($visits as $name => &$values) {
      foreach ($values as $value => &$numbers) {
        echo 'Visits,'.self::csvString(i18n_r('hitcount/'.strtoupper($name)));
        echo ','.self::csvString(substr($value,0,1)=='_' ? i18n_r('hitcount/V'.strtoupper($value)) : $value);
        for ($i=0; $i<count($dates); $i++) echo ','.$numbers[$i];
        echo "\r\n";
      }
    }
    exit;
  }
  
}

